package net.minecraft.client.gui.screens.inventory;

import net.minecraft.world.item.ItemStack;
import net.minecraft.core.NonNullList;
import net.minecraft.world.inventory.AbstractContainerMenu;
import net.minecraft.client.Minecraft;
import net.minecraft.world.inventory.ContainerListener;

public class CreativeInventoryListener implements ContainerListener {
    private final Minecraft minecraft;
    
    public CreativeInventoryListener(final Minecraft dbn) {
        this.minecraft = dbn;
    }
    
    @Override
    public void refreshContainer(final AbstractContainerMenu ban, final NonNullList<ItemStack> fy) {
    }
    
    @Override
    public void slotChanged(final AbstractContainerMenu ban, final int integer, final ItemStack ben) {
        this.minecraft.gameMode.handleCreativeModeItemAdd(ben, integer);
    }
    
    @Override
    public void setContainerData(final AbstractContainerMenu ban, final int integer2, final int integer3) {
    }
}
